/*
 * Project name:
     Adc_on_LEDs (Demonstration on usage of the ADC Library)
 * Copyright:
     (c) mikroElektronika, 2011.
 * Revision History:
     20110202:
       - Initial release (SZ);
 * Description:
     A simple example of using the ADC library.
     ADC results are displayed on PORTB.
 * Test configuration:
     MCU:             PIC24FJ16KA102
                      http://ww1.microchip.com/downloads/en/DeviceDoc/PIC24F16KA102_Family_datasheet_39927b.pdf
     Dev.Board:       Easy24-33 v6
                      http://www.mikroe.com/eng/products/view/494/easy24-33-v6-development-system/
     Oscillator:      HS, 8.00000 MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/en/compilers/mikroc/pro/dspic/
 * NOTES:
     - J14: RA0 - ADC Input pin
     - Turn ON the PORTB LEDs at SW4.2
*/

unsigned ADCresult;
void main() {

  TRISA = 0xFFFF;            // PORTA is input
  TRISB = 0;                 // PORTB is output

  while (1) {
    ADCresult = ADC1_Read(0);  // Acqquire result of AD conversion
    PORTB  = ADCresult;        // and display it on PORTD LEDs.
  }
}
