/*
 * Project name:
     HID_Read_Write (USB HID Read & Write Test)
 * Copyright:
     (c) mikroElektronika, 2011.
 * Revision History:
     20110202:
       - Initial release (SZ);
 * Description:
     This example establishes connection with the HID terminal that is active
     on the PC. Upon connection establishment, the HID Device Name will appear
     in the respective window. The character that user sends to PIC from the HID
     terminal will be re-sent back to user.
 * Test configuration:
     MCU:             PIC24FJ64GB002
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39940c.pdf
     Dev.Board:       Easy24-33 v6
                      http://www.mikroe.com/eng/products/view/494/easy24-33-v6-development-system/
     Oscillator:      HS-PLL, 32.00000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/eng/products/view/231/mikroc-pro-for-dspic30-33-and-pic24/
 * NOTES:
        - Move jumpers J8, J9, J10 and J11 to USB position.
*/

char cnt;
char readbuff[64];
char writebuff[64];

void USB1Interrupt() iv IVT_ADDR_USB1INTERRUPT{
   USB_Interrupt_Proc();
}

void main(void){
  AD1PCFGL = 0xFFFF;

  HID_Enable(&readbuff,&writebuff);

  while(1){
    while(!HID_Read())
      ;

    for(cnt=0;cnt<64;cnt++)
      writebuff[cnt]=readbuff[cnt];

    while(!HID_Write(&writebuff,64))
      ;
  }
}